import { world, system, BlockPermutation } from '@minecraft/server'


//TOBACCO
world.beforeEvents.worldInitialize.subscribe(initEvent => {
        initEvent.blockComponentRegistry.registerCustomComponent('true:bonemeal', {
        onPlayerInteract: e => {
            const block = e.block
            const player = e.player
            const blockLocation = block.location;
            const blockPos = block.location;
            const item = e.player.getComponent('equippable').getEquipment('Mainhand')
            if (item?.typeId == "minecraft:bone_meal" && block.permutation.getState('true:stage') < 4) {
                block.setPermutation(block.permutation.withState('true:stage', block.permutation.getState('true:stage') + 2))
                player.runCommandAsync(`particle minecraft:crop_growth_emitter ${blockPos.x} ${blockPos.y + 0.5} ${blockPos.z}`);
                player.runCommandAsync(`clear @s bone_meal 0 1`);
            }
          }
        }
      )
    }
  );
 world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('true:growth', {
        onTick(e) {
            const { block } = e
            const age = block.permutation.getState('true:stage')
            if (age < 4) {
                block.setPermutation(block.permutation.withState('true:stage', age + 1))
            }
          }
        }
      )
    }  
  )
  //FLICKERING LIGHT
  world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('true:flicker', {
        onTick(e) {
            const { block } = e
            const age = block.permutation.getState('true:time')
            if (age == 1) {
                block.setPermutation(block.permutation.withState('true:time', age - 1))
            }
            if (age == 0) {
              block.setPermutation(block.permutation.withState('true:time', age + 1))
            }
          }
        }
      )
    }  
  )
  //SPAWN BLOCKS
  world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('true:spawn_trader_female', {
        onTick(e) {
            const { block } = e
            const blockLocation = block.location;
              e.block.setPermutation(BlockPermutation.resolve("minecraft:air"));
              block.dimension.runCommandAsync(`summon true:trader_female ${blockLocation.x} ${blockLocation.y} ${blockLocation.z}`);
         
          }
        }
      )
      eventData.blockComponentRegistry.registerCustomComponent('true:spawn_trader_male', {
        onTick(e) {
            const { block } = e
            const blockLocation = block.location;
              e.block.setPermutation(BlockPermutation.resolve("minecraft:air"));
              block.dimension.runCommandAsync(`summon true:trader_male ${blockLocation.x} ${blockLocation.y} ${blockLocation.z}`);
      
          }
        }
      )
      eventData.blockComponentRegistry.registerCustomComponent('true:spawn_hazmat', {
        onTick(e) {
            const { block } = e
            const blockLocation = block.location;
              e.block.setPermutation(BlockPermutation.resolve("minecraft:air"));
              block.dimension.runCommandAsync(`summon true:hazmat ${blockLocation.x} ${blockLocation.y} ${blockLocation.z}`);
        
          }
        }
      )
      eventData.blockComponentRegistry.registerCustomComponent('true:spawn_katana', {
        onTick(e) {
            const { block } = e
            const blockLocation = block.location;
              e.block.setPermutation(BlockPermutation.resolve("minecraft:air"));
              block.dimension.runCommandAsync(`summon true:katana_trader ${blockLocation.x} ${blockLocation.y} ${blockLocation.z}`);
        
          }
        }
      )
      eventData.blockComponentRegistry.registerCustomComponent('true:spawn_tobacco', {
        onTick(e) {
            const { block } = e
            const blockLocation = block.location;
              e.block.setPermutation(BlockPermutation.resolve("minecraft:air"));
              block.dimension.runCommandAsync(`summon true:tobacco_trader ${blockLocation.x} ${blockLocation.y} ${blockLocation.z}`);
         
          }
        }
      )
    }  
  )
  //LOOT BLOCKS
 world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('true:opening', {
    onPlayerInteract: eventData => {
        const block = eventData.block
        const player = eventData.player
        const blockLocation = block.location;
        if (block.permutation.getState('true:stage') == 0 && block.typeId == "true:military_crate") {
        block.setPermutation(block.permutation.withState('true:stage', block.permutation.getState('true:stage') + 1))
        system.run(() => {
             block.dimension.playSound("block.crate.open", blockLocation, { pitch: 1.0, volume: 1.0 });
             block.dimension.runCommandAsync(`loot spawn ${blockLocation.x + 0.5} ${blockLocation.y + 1.0} ${blockLocation.z + 0.5} loot "blocks/loot_blocks/military_crate"`);
             }
           )
         }
        if (block.permutation.getState('true:stage') == 0 && block.typeId == "true:ammunition_crate") {
        block.setPermutation(block.permutation.withState('true:stage', block.permutation.getState('true:stage') + 1))
        system.run(() => {
             block.dimension.playSound("block.crate.open", blockLocation, { pitch: 1.0, volume: 1.0 });
             block.dimension.runCommandAsync(`loot spawn ${blockLocation.x + 0.5} ${blockLocation.y + 1.0} ${blockLocation.z + 0.5} loot "blocks/loot_blocks/ammunition_crate"`);
             }
           )
         }
        if (block.permutation.getState('true:stage') == 0 && block.typeId == "true:trash_can") {
        block.setPermutation(block.permutation.withState('true:stage', block.permutation.getState('true:stage') + 1))
        system.run(() => {
             block.dimension.playSound("block.trash.open", blockLocation, { pitch: 1.0, volume: 1.0 });
             block.dimension.runCommandAsync(`loot spawn ${blockLocation.x + 0.5} ${blockLocation.y + 1.0} ${blockLocation.z + 0.5} loot "blocks/loot_blocks/trash_can"`);
             }
           )
         }
        if (block.permutation.getState('true:stage') == 0 && block.typeId == "true:backpack") {
        block.setPermutation(block.permutation.withState('true:stage', block.permutation.getState('true:stage') + 1))
        system.run(() => {
             block.dimension.playSound("block.backpack.open", blockLocation, { pitch: 1.0, volume: 1.0 });
             block.dimension.runCommandAsync(`loot spawn ${blockLocation.x + 0.5} ${blockLocation.y + 1.0} ${blockLocation.z + 0.5} loot "blocks/loot_blocks/backpack"`);
            }
          )
        }
       if (block.permutation.getState('true:stage') == 0 && block.typeId == "true:medical_box") {
       block.setPermutation(block.permutation.withState('true:stage', block.permutation.getState('true:stage') + 1))
       system.run(() => {
            block.dimension.playSound("block.medical.open", blockLocation, { pitch: 1.0, volume: 1.0 });
            block.dimension.runCommandAsync(`loot spawn ${blockLocation.x + 0.5} ${blockLocation.y + 1.0} ${blockLocation.z + 0.5} loot "blocks/loot_blocks/medical_box"`);
           }
         )
       }
       if (block.permutation.getState('true:stage') == 0 && block.typeId == "true:medical_cabinet") {
        block.setPermutation(block.permutation.withState('true:stage', block.permutation.getState('true:stage') + 1))
        system.run(() => {
             block.dimension.playSound("block.medical.open", blockLocation, { pitch: 1.0, volume: 1.0 });
             block.dimension.runCommandAsync(`loot spawn ${blockLocation.x + 0.5} ${blockLocation.y + 1.0} ${blockLocation.z + 0.5} loot "blocks/loot_blocks/medical_box"`);
            }
          )
        }
      if (block.permutation.getState('true:stage') == 0 && block.typeId == "true:food_box") {
      block.setPermutation(block.permutation.withState('true:stage', block.permutation.getState('true:stage') + 1))
      system.run(() => {
           block.dimension.playSound("block.cardboard.open", blockLocation, { pitch: 1.0, volume: 1.0 });
           block.dimension.runCommandAsync(`loot spawn ${blockLocation.x + 0.5} ${blockLocation.y + 1.0} ${blockLocation.z + 0.5} loot "blocks/loot_blocks/food"`);
          }
        )
      }
     if (block.permutation.getState('true:stage') == 0 && block.typeId == "true:kitchen_cupboard") {
     block.setPermutation(block.permutation.withState('true:stage', block.permutation.getState('true:stage') + 1))
     system.run(() => {
          block.dimension.playSound("block.crate.open", blockLocation, { pitch: 1.0, volume: 1.0 });
          block.dimension.runCommandAsync(`loot spawn ${blockLocation.x + 0.5} ${blockLocation.y + 1.0} ${blockLocation.z + 0.5} loot "blocks/loot_blocks/food"`);
         }
       ) 
     }
    if (block.permutation.getState('true:stage') == 0 && block.typeId == "true:toolbox") {
    block.setPermutation(block.permutation.withState('true:stage', block.permutation.getState('true:stage') + 1))
    system.run(() => {
         block.dimension.playSound("block.cardboard.open", blockLocation, { pitch: 1.0, volume: 1.0 });
         block.dimension.runCommandAsync(`loot spawn ${blockLocation.x + 0.5} ${blockLocation.y + 1.0} ${blockLocation.z + 0.5} loot "blocks/loot_blocks/toolbox"`);
        }
      ) 
    }
    if (block.permutation.getState('true:stage') == 0 && block.typeId == "true:starter_package") {
      block.setPermutation(block.permutation.withState('true:stage', block.permutation.getState('true:stage') + 1))
      system.run(() => {
           block.dimension.playSound("block.cardboard.open", blockLocation, { pitch: 1.0, volume: 1.0 });
           block.dimension.runCommandAsync(`loot spawn ${blockLocation.x + 0.5} ${blockLocation.y + 1.0} ${blockLocation.z + 0.5} loot "blocks/loot_blocks/starter_package"`);
          }
        ) 
      }
  }
}
)})
//RAZOR WIRE
world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('true:blood', {
  onPlayerInteract: e => {
      const block = e.block
      const player = e.player
      const blockLocation = block.location;
      const blockPos = block.location;
      const item = e.player.getComponent('equippable').getEquipment('Mainhand')
      if (item?.typeId == "true:bottle_of_blood_4" && block.typeId === 'true:razor_wire' ){
          block.dimension.runCommandAsync(`setblock ${blockLocation.x} ${blockLocation.y} ${blockLocation.z} true:razor_wire_blood replace`);
          player.runCommandAsync(`particle true:blood_splatter ${blockPos.x} ${blockPos.y + 1} ${blockPos.z}`);
          player.runCommandAsync("clear @s true:bottle_of_blood_4 0 1");
          player.runCommandAsync("give @s true:bottle_of_blood_3 1");
      }
      if (item?.typeId == "true:bottle_of_blood_3" && block.typeId === 'true:razor_wire' ){
        block.dimension.runCommandAsync(`setblock ${blockLocation.x} ${blockLocation.y} ${blockLocation.z} true:razor_wire_blood replace`);
        player.runCommandAsync(`particle true:blood_splatter ${blockPos.x} ${blockPos.y + 1} ${blockPos.z}`);
        player.runCommandAsync("clear @s true:bottle_of_blood_3 0 1");
        player.runCommandAsync("give @s true:bottle_of_blood_2 1");
      }
      if (item?.typeId == "true:bottle_of_blood_2" && block.typeId === 'true:razor_wire' ){
        block.dimension.runCommandAsync(`setblock ${blockLocation.x} ${blockLocation.y} ${blockLocation.z} true:razor_wire_blood replace`);
        player.runCommandAsync(`particle true:blood_splatter ${blockPos.x} ${blockPos.y + 1} ${blockPos.z}`);
        player.runCommandAsync("clear @s true:bottle_of_blood_2 0 1");
        player.runCommandAsync("give @s true:bottle_of_blood_1 1");
      }
     if (item?.typeId == "true:bottle_of_blood_1" && block.typeId === 'true:razor_wire' ){
        block.dimension.runCommandAsync(`setblock ${blockLocation.x} ${blockLocation.y} ${blockLocation.z} true:razor_wire_blood replace`);
        player.runCommandAsync(`particle true:blood_splatter ${blockPos.x} ${blockPos.y + 1} ${blockPos.z}`);
        player.runCommandAsync("clear @s true:bottle_of_blood_1 0 1");
        player.runCommandAsync("give @s true:bottle_of_water_0 1");
        }
      }
    }
  )
 }
);
