import { system, world} from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";
let world = world.getDimension("overworld")

//OLD LADY TRADER
system.runInterval(() =>{
	for(let player of world.getPlayers()){
		if(player.hasTag("trader_female_dialogue")){
            trader_female_dialogue(player)
			player.removeTag("trader_female_dialogue")
		}
  }
  function trader_female_dialogue (player) {
    const gui = new ActionFormData();
    gui.body('§dHello there! Thank you for stopping by, it has been a while since we have seen anybody...alive anyway! Please stay for a bit while you get your bearings.§r');
    gui.button('How are you surviving?', 'textures/gui/menu/question_icon')
    gui.button('Thank you, I will!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            surviving_question(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function surviving_question (player) {
    const gui = new ActionFormData();
    gui.body('§dWell we started off like you, wandering around looking for §6FOOD§d and §6WEAPONS§d. Eventually my Husband found enough §6IRON§d to craft together some §6RAZOR WIRE§d and that was it really we built this cottage within the §6RAZOR WIRE§d!');
    gui.button('Where did he get the Iron from?', 'textures/gui/menu/question_icon')
    gui.button('How are you safe?', 'textures/gui/menu/question_icon')
    gui.button('Oh Ok!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            iron_question(player)
        }
        if (result.selection === 1) {
            safe_question(player)
        }
        if (result.selection === 2) {
            exit(player)
        }
    }
)
}
function iron_question (player) {
    const gui = new ActionFormData();
    gui.body('§dHe found some in caves like everyone else but it became far to dangerous to continue mining at his age, then he realised that the §6FOOD§d and §6DRINK§d tins we were throwing away were made of §6IRON§d. So the more we ate and drank the more §6IRON§d we recoved. Surly you have noticed that by now?');
    gui.button('Umm! Of course I have!', 'textures/gui/menu/tick_icon')
    gui.button('I did not know that. Thanks!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function safe_question (player) {
    const gui = new ActionFormData();
    gui.body('§dThe Zombies do not attack us because we are §6IMMUNE§d, we have been fully §6VACCINATED§d from the Zombie Virus, saying that I have noticed a few Zombies coming closer then usual, I fear the §6VACCINATION§d may not work against all Zombies anymore!');
    gui.button('How did you get Vaccinated?', 'textures/gui/menu/question_icon')
    gui.button('Interesting, Thank you!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            vaccination_question(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function vaccination_question (player) {
    const gui = new ActionFormData();
    gui.body('§dThere is a lovely young man who can trade you some items that will help you create a §6VACCINE§d, I believe he can be found in §6MESA BIOMES§d. He will only accept §6O2 CANISTERS§d for trades, I do not know why, he just likes them I guess.');
    gui.button('O2 Canisters?', 'textures/gui/menu/question_icon')
    gui.button('I will head there now. Thanks!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            canister_question(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function canister_question (player) {
    const gui = new ActionFormData();
    gui.body('§6O2 CANISTERS§d can only be found in §6SWAMP BIOMES§d, you will need to trade them from the §6SMOKERS§d or §6TOBACCO TRADERS§d if you prefer. They will only trade you for §6TOBACCO BAGS§d, which is ironic as they are the only people in the world who hold the §6TOBACCO SEEDS§d!');
    gui.button('Thank you for the information!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit(player)
        }
    }
)
}
function exit(player) {
    player.runCommandAsync;
  }
})
//OLD MAN TRADER
system.runInterval(() =>{
	for(let player of world.getPlayers()){
		if(player.hasTag("trader_male_dialogue")){
            trader_male_dialogue(player)
			player.removeTag("trader_male_dialogue")
		}
  }
  function trader_male_dialogue (player) {
    const gui = new ActionFormData();
    gui.body('§9Oh! Hello, I did not see you there! Please pick a spot by the fire and keep warm.');
    gui.button('Where did you find your Weapons?', 'textures/gui/menu/question_icon')
    gui.button('Thank you very much!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            weapon_question(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function weapon_question (player) {
    const gui = new ActionFormData();
    gui.body('§9By looting §6STRUCTURES§9 of course! My Wife and I were traveling for a long time before settling here and we came across tons of §6STRUCTURES§9 holding all kinds of §6LOOT BOXES§9 left behind by various people! Every time we went looking for more §6STRUCTURES§9 we came across ones we had never seen before. You must keep looking everywhere!§9');
    gui.button('Structures?', 'textures/gui/menu/question_icon')
    gui.button('Loot Boxes?', 'textures/gui/menu/question_icon')
    gui.button('Interesting! Thanks!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            structure_question(player)
        }
        if (result.selection === 1) {
            loot_boxes_question(player)
        }
        if (result.selection === 2) {
            exit(player)
        }
    }
)
}
function structure_question (player) {
    const gui = new ActionFormData();
    gui.body('§9Yes! §6STRUCTURES§9 as in a building of some kind. You must of seen them before getting to us? Never Mind, §6STRUCTURES§9 can be found in all §6BIOMES§9 across the world, different §6BIOMES§9 will have different §6STRUCTURES§9 and some can be found anywhere, the ones with the best §6LOOT BOXES§9 will be harder to loot as they will contain more Zombies.');
    gui.button('Loot Boxes?', 'textures/gui/menu/question_icon')
    gui.button('Oh the buildings! I get it!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            loot_boxes_question(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function loot_boxes_question (player) {
    const gui = new ActionFormData();
    gui.body('§9Different §6LOOT BOXES§9 can be found in different §6STRUCTURES§9 and some can be found in all §6STRUCTURES§9. §6FOOD BOXES§9 are the cardboard looking boxes, they will contain §6FOOD, DRINK§9 and maybe a §6SNACK§9 you can also get §6FOOD§9 from §6KITCHEN CUPBOARDS§9 like the ones on our wall. §6BACKPACKS§9 will contain §6TRADE ITEM§9 like the ones you can use to §6TRADE§9 with us and sometimes a §6MELEE WEAPON§9. §6MILITARY CRATES§9 are the small brown wooden boxes, they can contain §6GRENADES, SENTRY GUN PARTS§9 and if your lucky a §6HAND GUN§9. §6AMMUNITION CRATES§9 are the small green wooden ones, they will contain §6AMMUNITION§9 for your §6GUNS§9 and lastly the §6MEDICAL BOX§9 is basicly a better First Aid Kit they will contian items to help you heal up or take away Negative Effects caused my some Zombies.');
    gui.button('You said something about Guns?', 'textures/gui/menu/question_icon')
    gui.button('Thank you for the information.', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            guns_question(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function guns_question (player) {
    const gui = new ActionFormData();
    gui.body('§9Yes of course! Most §6GUNS§9 can only be obtained by getting help from the §6MILITARY§9 via a §6SUPPLY DROP§9. Some §6GUNS§9 like the M9 or the M1911 can be found in §6MILITARY CRATES§9 and if you have the correct §6TRADE ITEMS§9 I have a Micro UZI I could trade you.');
    gui.button('Supply Drop?', 'textures/gui/menu/question_icon')
    gui.button('Got it, Thanks!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            supply_drop_question(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function supply_drop_question (player) {
    const gui = new ActionFormData();
    gui.body('§9When you are looting §6STRUCTURES§9 look out for a §6BLUE SMOKE LOG§9, when placed on a §6S.O.S CAMPFIRE§9 it will release a cloud of Blue Smoke this will let the §6MILITARY§9 know where to drop a §6SUPPLY DROP§9. By using a §6TOOL§9 like a §6CROWBAR§9 you can open a §6SUPPLY DROP§9 and recover all the loot like §6GUNS§9 and §6AMMUNITION§9. The §6BLUE SMOKE LOGS§9 are very rare, to this day I have not found one.');
    gui.button('Perfect! Thank you.', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit(player)
        }
    }
)
}
function exit(player) {
    player.runCommandAsync;
  }
})
//KATANA TRADER
system.runInterval(() =>{
	for(let player of world.getPlayers()){
		if(player.hasTag("katana_trader_dialogue")){
            katana_trader_dialogue(player)
			player.removeTag("katana_trader_dialogue")
		}
  }
  function katana_trader_dialogue (player) {
    const gui = new ActionFormData();
    gui.body('§dOH! You scared me! It is so strange seeing anyone else other then my trusted friends here. You see Zombies can not sense me while I have my §6ARMLESS ZOMBIES§d near by, they cover my human scent with their §6ZOMBIE FLESH§d smell.§r');
    gui.button('Armless Zombies?', 'textures/gui/menu/question_icon')
    gui.button('Zombie Flesh?', 'textures/gui/menu/question_icon')
    gui.button('Sorry about that!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            armless_zombie_question(player)
        }
        if (result.selection === 1) {
            zombie_flesh_question(player)
        }
        if (result.selection === 2) {
            exit(player)
        }
    }
)
}
function armless_zombie_question (player) {
    const gui = new ActionFormData();
    gui.body('§dWell I call them Armless but really they are Armless and Toothless so they can not actually harm me in anyway. It is strange really they almost seem like they have a defeated look about them, like they know they can not harm me so why try.');
    gui.button('Can I have one?', 'textures/gui/menu/question_icon')
    gui.button('Makes sense!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            can_i_have_one_question(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function can_i_have_one_question (player) {
    const gui = new ActionFormData();
    gui.body('§dWhat? You want one of the things that is keeping me from being torn apart from a hoard of the undead? No sorry I will have to decline that, you would have to kill me to get one these creatures from me.');
    gui.button('I did not mean to offend!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit(player)
        }
    }
)
}
function zombie_flesh_question (player) {
    const gui = new ActionFormData();
    gui.body('§dThe Zombies give off such a strong smell as they are just walking lumps of dead meat, that it covers any scent we may give of as humans. I guess if you were to kill a Zombie and wear its skin then you would get the same result as walking around with an §6ARMLESS ZOMBIE§d. I mean you could even just cover a leather or Iron Chest Plate with some §6ZOMBIE FLESH§d and wear it, you would have to avoid water but other then that you would be basically invisible.');
    gui.button('Chest Plate you say! Interesting!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit(player)
        }
    }
)
}
function exit(player) {
    player.runCommandAsync;
  }
})
//TOBACCO TRADER
system.runInterval(() =>{
	for(let player of world.getPlayers()){
		if(player.hasTag("tobacco_trader_dialogue")){
            tobacco_trader_dialogue(player)
			player.removeTag("tobacco_trader_dialogue")
		}
  }
  function tobacco_trader_dialogue (player) {
    const gui = new ActionFormData();
    gui.body('§9Guns, Ammo and Cigarettes are all I am interested in. I mean come on what more is there to want in a world as messed up as this? Do you really think I am going to waste my time fixing the world like that idiot in the §6MESA§9 walking around in his §6HAZMAT SUIT§9 trying to save the world. Pointless!§r');
    gui.button('Hazmat Suit?', 'textures/gui/menu/question_icon')
    gui.button('Yeah, Screw the world!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            hazmat_suit_question(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function hazmat_suit_question (player) {
    const gui = new ActionFormData();
    gui.body('§9Yeah, I went there once to get myself a §6VACCINE§9 so I did not have to worry about the Zombies trying to eat me, I could just focus on shooting them for fun. The §6GUY IN THE HAZMAT SUIT§9 will trade you some liquid in a vial to make a §6VACCINE§9. It is all science mumbo jumbo you will have to speak to him about it.');
    gui.button('Vaccine?', 'textures/gui/menu/question_icon')
    gui.button('Ok! Got it!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            vaccine_question(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function vaccine_question (player) {
    const gui = new ActionFormData();
    gui.body('§9Yeah! It stops the Zombies from seeing you I think. Like I said I am not sure how or why it works, head to a §6MESA BIOME§9 and talk to him.');
    gui.button('Mesa! Got it. Thanks!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit(player)
        }
    }
)
}
function exit(player) {
    player.runCommandAsync;
  }
})
//HAZMAT GUY
system.runInterval(() =>{
	for(let player of world.getPlayers()){
		if(player.hasTag("hazmat_dialogue")){
            hazmat_dialogue(player)
			player.removeTag("hazmat_dialogue")
		}
  }
  function hazmat_dialogue (player) {
    const gui = new ActionFormData();
    gui.body('§9Oh thank God! I have not seen another Human since the §6OLD COUPLE§9 came to see me, that was years ago....has it really been that long! I have been hiding for such a long time, I thought I was going to die here. It is so nice to see another person again.');
    gui.button('What are you doing here?', 'textures/gui/menu/question_icon')
    gui.button('Old Couple?', 'textures/gui/menu/question_icon')
    gui.button('Nice to see you to!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            what_are_you_doing_question(player)
        }
        if (result.selection === 1) {
            old_couple_question(player)
        }
        if (result.selection === 2) {
            exit(player)
        }
    }
)
}
function what_are_you_doing_question (player) {
    const gui = new ActionFormData();
    gui.body('§9I was part of a team that was sent here to look for a cure for the CDCKP85 Virus, as far as I know my team mates are all dead but I carried on with the research to find a cure. That was until the Zombies came crashing in and I locked myself in here!');
    gui.button('Did you find a Cure?', 'textures/gui/menu/question_icon')
    gui.button('CDCKP85 Virus?', 'textures/gui/menu/question_icon')
    gui.button('Sorry to hear that!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            cure_question(player)
        }
        if (result.selection === 1) {
            virus_question(player)
        }
        if (result.selection === 2) {
            exit(player)
        }
    }
)
}
function cure_question (player) {
    const gui = new ActionFormData();
    gui.body('§9No! A cure will take a lot more equipment and a few more people then I have at the moment, but I have figured out how to make a §6VACCINE§9! I have gathered up all the the §6ETHANOL§9 I could find and with a few more plant based ingredients and a visit to the §6OLD COUPLE§9 you can create §6VACCINES§9 to.');
    gui.button('How does the Vaccine Work?', 'textures/gui/menu/question_icon')
    gui.button('Old Couple?', 'textures/gui/menu/question_icon')
    gui.button('I think I understand, Thanks!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            vaccine_how_question(player)
        }
        if (result.selection === 1) {
            old_couple_question(player)
        }
        if (result.selection === 2) {
            exit(player)
        }
    }
)
}
function virus_question (player) {
    const gui = new ActionFormData();
    gui.body('§9Yes! The CDCKP85 Virus is the name of the virus that has taken over the world and turns humans and animals into the undead. The guy who named the virus named it with a reference to his Wife or something I can not really remember!');
    gui.button('Thank you for the information.', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit(player)
        }
    }
)
}
function old_couple_question (player) {
    const gui = new ActionFormData();
    gui.body('§9Ah yes the §6OLD COUPLE§9! They came to me a few years back to get some §6ETHANOL§9 to create a couple of §6VACCINES§9 for themselves. They stopped looting years ago and starting trading all there loot to people who needed it. They have some interesting items, like §6VORTEX MIXERS§9 and §6BLENDERS§9. I think they eventually settled in a §6FOREST§9 somewhere but I could be wrong.');
    gui.button('Vortex Mixer?', 'textures/gui/menu/question_icon')
    gui.button('Blender?', 'textures/gui/menu/question_icon')
    gui.button('I see! Thank you!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            vortex_mixer_question(player)
        }
        if (result.selection === 1) {
            blender_question(player)
        }
        if (result.selection === 2) {
            exit(player)
        }
    }
)
}
function vaccine_how_question (player) {
    const gui = new ActionFormData();
    gui.body('§9The §6VACCINE§9 will create an enzyme in your Blood Stream to convert all your Red Blood Cells into a Pale Pink Blood Cells and eradicate the hormone that tells other animals that we are Human, like when a Dog sniffs you it knows what you are by your smell the §6VACCINE§9 gets rid of that. In simple terms the §6VACCINE§9 makes you invisible to Zombies.');
    gui.button('Does it work for everyone?', 'textures/gui/menu/question_icon')
    gui.button('Perfect! Thank you.', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            vaccine_work_question(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function vaccine_work_question (player) {
    const gui = new ActionFormData();
    gui.body('§9Unfortunately not! There is a Blood Type it will not work on, AB Negative if I remember correctly. If you are one of those people with that Blood Type it will simply have no effect.');
    gui.button('Interesting! Thank you.', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit(player)
        }
    }
)
}
function vortex_mixer_question (player) {
    const gui = new ActionFormData();
    gui.body('§9You must of seen a §6VORTEX MIXER§9 before! It is the little machine that spins §6VIALS§9 of medicine around until they are fully mixed. The §6VORTEX MIXER§9 will be needed to create a fully working §6VACCINE§9. If my memory is correct the §6OLD COUPLE§9 said they had retrofitted all their §6VORTEX MIXERS§9 with little solar panels so no electric is needed just a good area of light. Smart if you ask me!');
    gui.button('I will head there now! Thank you.', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit(player)
        }
    }
)
}
function blender_question (player) {
    const gui = new ActionFormData();
    gui.body('§9Yeah it is just a normal §6BLENDER§9 but with a solar panel attached so no electric is needed just a good area of light. You will need one to blend a §6ZOMBIE HEART§9 into pulp to be used to create a §6VACCINE§9. I tried cutting it up instead but I was left with lumps so it was no good, a §6BLENDER§9 is needed trust me!');
    gui.button('Zombie Heart?', 'textures/gui/menu/question_icon')
    gui.button('Umm ok! Blender it is!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            zombie_heart_question(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function zombie_heart_question (player) {
    const gui = new ActionFormData();
    gui.body('§9When you kill a Zombie their bodies rot away really fast, like 600 times faster then a human corpse it is very strange! Anyway if you are quick enough you can open a Zombie Corpse up using a §6SHARP TOOL§9 and pull out the Heart, this is what you will use in the §6BLENDER§9 to create a §6VACCINE§9. Not pretty but someone has got to do it!');
    gui.button('Sharp Tool?', 'textures/gui/menu/question_icon')
    gui.button('I will think about it!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            sharp_tool_question(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function sharp_tool_question (player) {
    const gui = new ActionFormData();
    gui.body('§9I think I am going to start charging you for questions soon!!! A §6SHARP TOOL§9 is any tool made from §6STONE§9 or better that is sharp, like a §6MACHETE§9 or an §6IRON SWORD§9.');
    gui.button('Great! Thanks for the information!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit(player)
        }
    }
)
}
function exit(player) {
    player.runCommandAsync;
  }
})
//MALE SURVIVOR
system.runInterval(() =>{
	for(let player of world.getPlayers()){
		if(player.hasTag("male_no_respect")){
            male_no_respect(player)
			player.removeTag("male_no_respect")
		}
  }
  function male_no_respect (player) {
    const gui = new ActionFormData();
    gui.body('§9Can I help you with something? or are you just going to stand there?§r');
    gui.button('Offer Recruitment!', 'textures/gui/menu/recruitment_icon')
    gui.button('No! Sorry for bothering you!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            offer_no_respect(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function offer_no_respect (player) {
    const gui = new ActionFormData();
    gui.body('§9No chance! Leave me alone!');
    gui.button('Ok! Never mind!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit(player)
        }
    }
)
}
function exit(player) {
    player.runCommandAsync;
  }
})
system.runInterval(() =>{
	for(let player of world.getPlayers()){
		if(player.hasTag("male_rejection")){
            male_rejection(player)
			player.removeTag("male_rejection")
		}
  }
  function male_rejection (player) {
    const gui = new ActionFormData();
    gui.body('§9Can I help you with something? or are you just going to stand there?§r');
    gui.button('Offer Recruitment!', 'textures/gui/menu/recruitment_icon')
    gui.button('No! Sorry for bothering you!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            offer_rejection(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function offer_rejection (player) {
    const gui = new ActionFormData();
    gui.body('§9Are you joking? Join you? To do what exactly? You look like you can barely take care of yourself, how the hell are you going to take charge of me? I think I am better off alone. Good luck on your recruitment drive. HAHAHAHAHA!');
    gui.button('Ok! Never mind!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit_despawn(player)
        }
    }
)
}
function exit(player) {
    player.runCommandAsync;
  }
  function exit_despawn(player) {
    player.runCommandAsync("event entity @e [family=wild_human,c=1,r=4] true:to_peaceful");
  }
})
system.runInterval(() =>{
	for(let player of world.getPlayers()){
		if(player.hasTag("male_accept")){
            male_accept(player)
			player.removeTag("male_accept")
		}
  }
  function male_accept (player) {
    const gui = new ActionFormData();
    gui.body('§9Can I help you with something? or are you just going to stand there?§r');
    gui.button('Offer Recruitment!', 'textures/gui/menu/recruitment_icon')
    gui.button('No! Sorry for bothering you!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            offer_accept(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function offer_accept (player) {
    const gui = new ActionFormData();
    gui.body('§9Oh! Sorry for being rude. I just get a lot of people asking me to join their group but they look like they have never even killed a Zombie themselves, they just want me to do all the hard work for them. I would be honoured to team up with you. Thank you for the offer. I am guessing you have a §6VACCINE§9 for me?');
    gui.button('Of course, Lets do this!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit_activate_vaccine(player)
        }
    }
)
}
function exit_activate_vaccine(player) {
    player.runCommandAsync("event entity @e [family=wild_human,c=1,r=4] true:to_tameable");
  }
})
system.runInterval(() =>{
	for(let player of world.getPlayers()){
		if(player.hasTag("survivor_menu_male")){
            survivor_menu_male(player)
			player.removeTag("survivor_menu_male")
		}
  }
    function survivor_menu_male (player) {
        const gui = new ActionFormData();
        gui.body('§9Oh hey there! Anything you need me to do?');
        gui.button('Take a Break!', 'textures/gui/menu/free_icon')
        gui.button('Defend me!', 'textures/gui/menu/defender_icon')
        gui.button('Stand Guard!', 'textures/gui/menu/guard_icon')
        gui.button('Nothing, Carry on!', 'textures/gui/menu/tick_icon')
        gui.show(player).then(result => {
            if (result.selection === 0) {
                free(player)
            }
            if (result.selection === 1) {
                defender(player)
            }
            if (result.selection === 2) {
                guard(player)
            }
            if (result.selection === 3) {
                exit(player)
            }
         }
       )
    }
    function free(player) {
      player.runCommandAsync("event entity @e [family=vaccinated,c=1,r=10] true:to_default");
    }
    function defender(player) {
      player.runCommandAsync("event entity @e [family=vaccinated,c=1,r=10] true:to_defender");
    }
    function guard(player) {
      player.runCommandAsync("event entity @e [family=vaccinated,c=1,r=10] true:to_guard");
    }
    function exit(player) {
      player.runCommandAsync;
    }
 }
)
//FEMALE SURVIVOR
system.runInterval(() =>{
	for(let player of world.getPlayers()){
		if(player.hasTag("female_no_respect")){
            female_no_respect(player)
			player.removeTag("female_no_respect")
		}
  }
  function female_no_respect (player) {
    const gui = new ActionFormData();
    gui.body('§dWhy are you staring at me? Like I do not have enough issues without you being weird!§r');
    gui.button('Offer Recruitment!', 'textures/gui/menu/recruitment_icon')
    gui.button('No! Sorry for bothering you!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            offer_no_respect(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function offer_no_respect (player) {
    const gui = new ActionFormData();
    gui.body('§dNo chance! Go away!');
    gui.button('Ok! Never mind!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit(player)
        }
    }
)
}
function exit(player) {
    player.runCommandAsync;
  }
})
system.runInterval(() =>{
	for(let player of world.getPlayers()){
		if(player.hasTag("female_rejection")){
            female_rejection(player)
			player.removeTag("female_rejection")
		}
  }
  function female_rejection (player) {
    const gui = new ActionFormData();
    gui.body('§dWhy are you staring at me? Like I do not have enough issues without you being weird!§r');
    gui.button('Offer Recruitment!', 'textures/gui/menu/recruitment_icon')
    gui.button('No! Sorry for bothering you!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            offer_rejection(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function offer_rejection (player) {
    const gui = new ActionFormData();
    gui.body('§dUmmm! No! I think I would have more luck being told what to do by a Zombie, Maybe when you have a little more experience, but for now no chance!§r');
    gui.button('Ok! Never mind!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit_despawn(player)
        }
    }
)
}
function exit(player) {
    player.runCommandAsync;
  }
  function exit_despawn(player) {
    player.runCommandAsync("event entity @e [family=wild_human,c=1,r=4] true:to_peaceful");
  }
})
system.runInterval(() =>{
	for(let player of world.getPlayers()){
		if(player.hasTag("female_accept")){
            female_accept(player)
			player.removeTag("female_accept")
		}
  }
  function female_accept (player) {
    const gui = new ActionFormData();
    gui.body('§dWhy are you staring at me? Like I do not have enough issues without you being weird!§r');
    gui.button('Offer Recruitment!', 'textures/gui/menu/recruitment_icon')
    gui.button('No! Sorry for bothering you!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            offer_accept(player)
        }
        if (result.selection === 1) {
            exit(player)
        }
    }
)
}
function offer_accept (player) {
    const gui = new ActionFormData();
    gui.body('§dYou would like me? Seriously? I do not know how useful I can be but I would love to. Thank you so much for the opportunity. You have a §6VACCINE§d for me right? ');
    gui.button('Of course, Lets do this!', 'textures/gui/menu/tick_icon')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            exit_activate_vaccine(player)
        }
    }
)
}
function exit_activate_vaccine(player) {
    player.runCommandAsync("event entity @e [family=wild_human,c=1,r=4] true:to_tameable");
  }
})
system.runInterval(() =>{
	for(let player of world.getPlayers()){
		if(player.hasTag("survivor_menu_female")){
            survivor_menu_female(player)
			player.removeTag("survivor_menu_female")
		}
    }
    function survivor_menu_female (player) {
        const gui = new ActionFormData();
        gui.body('§dHi! How are you? Is there anything I can be doing?');
        gui.button('Take a Break!', 'textures/gui/menu/free_icon')
        gui.button('Defend me!', 'textures/gui/menu/defender_icon')
        gui.button('Stand Guard!', 'textures/gui/menu/guard_icon')
        gui.button('Nothing, Carry on!', 'textures/gui/menu/tick_icon')
        gui.show(player).then(result => {
            if (result.selection === 0) {
                free(player)
            }
            if (result.selection === 1) {
                defender(player)
            }
            if (result.selection === 2) {
                guard(player)
            }
            if (result.selection === 3) {
                exit(player)
            }
         }
       )
    }
    function free(player) {
      player.runCommandAsync("event entity @e [family=vaccinated,c=1,r=10] true:to_default");
    }
    function defender(player) {
      player.runCommandAsync("event entity @e [family=vaccinated,c=1,r=10] true:to_defender");
    }
    function guard(player) {
      player.runCommandAsync("event entity @e [family=vaccinated,c=1,r=10] true:to_guard");
    }
    function exit(player) {
      player.runCommandAsync;
    }
 }
)
//FEMALE SURVIVOR PREGNANT
system.runInterval(() =>{
	for(let player of world.getPlayers()){
		if(player.hasTag("survivor_menu_female_pregnant")){
            survivor_menu_female_pregnant(player)
			player.removeTag("survivor_menu_female_pregnant")
		}
  }
    function survivor_menu_female_pregnant (player) {
        const gui = new ActionFormData();
        gui.body('§dOh hey! Guess what... I am pregnant, I do not think I will much use out in the field right now sorry!');
        gui.button('Congratulations, Carry on!', 'textures/gui/menu/tick_icon')
        gui.show(player).then(result => {
            if (result.selection === 0) {
                exit(player)
            }
         }
       )
    }
    function exit(player) {
      player.runCommandAsync;
    }
 }
)